Subject: Re: [manet] DLEP Version 01

From: "Duke, Martin" <[email-masked]>
Date: Wed, 27 Jul 2011 08:22:35 -0700

Stan,

Is there any prohibition on reporting a Current Data Rate of zero?

I think this might be useful for a case I brought up several months ago, where a radio has the capability of forming a link with any from a large set of neighbors, but only a few at a time. For instance, a Free Space Optical (FSO) radio might have a dozen possible neighbors, but can only service one at a time with long switching times between them. It might report a zero CDR and a high MDR to all 12 neighbors; if the router wants to communicate with one of them, it can request additional data rate, and in a matter of seconds the radio can respond.

If this is a use case that people support, it might be wise to spell it out in the spec, because reporting a zero CDR is non-obvious behavior for this situation.

This is a good draft and I'm eager to see it proceed.

Martin

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Stan Ratliff
> Sent: Monday, May 02, 2011 8:58 AM
> To: MANET IETF
> Subject: [manet] DLEP Version 01
> 
> All,
> 
> I have just posted an 01 version of the DLEP draft.  First 
> off, my apologies for this taking longer than I thought. The 
> pressures of work... ;-)
> 
> A synopsis of the version 01 DLEP changes:
> 
> 1. We've gotten rid of the requirement for a 5444 packet TLV; 
> everything is now placed into
> 5444 Message TLVs.
> 
> 2. We've tried to clarify that DLEP messages exist as an 
> "order" (e.g.  
> NEIGHBOR_UP), and a
> collection of Sub-TLVs that convey information about the order.
> 
> 3. There is now only 1 allocation required from the 5444 
> message TLV:  
> DLEP_MESSAGE.
> Other DLEP orders and sub-TLVs exist in their own registries.
> 
> 3. We have added some timer sub-TLVs; this was in response to 
> comments by Tom Henderson in Prague concerning different 
> setup times for different modem devices.
> 
> Regards,
> Stan
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>